## sga 0.10.14

=== debian/changelog ===
sga (0.10.14-2) unstable; urgency=medium

  * Fix gcc-6 issue (thanks to Matei David)
    Closes: #811664
  * cme fix dpkg-control
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jul 2016 15:56:27 +0200

sga (0.10.14-1) unstable; urgency=medium

  * New upstream version
  * Specify correct location of files in d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 13:19:54 +0100

sga (0.10.13-1) unstable; urgency=low

  * Initial release (Closes: #692332)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2015 10:44:48 +0200
