=== debian/control ===
Source: sga
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               libsparsehash-dev,
               zlib1g-dev | libz-dev,
               libbamtools-dev,
               gawk,
               help2man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sga.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sga.git
Homepage: https://github.com/jts/sga

Package: sga
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools,
         python,
         python-ruffus,
         python-pysam
Suggests: abyss (>= 1.5.2-2)
Description: de novo genome assembler that uses string graphs
 The major goal of SGA is to be very memory efficient, which is achieved by
 using a compressed representation of DNA sequence reads.
 .
 SGA is a de novo assembler for DNA sequence reads. It is based on Gene Myers'
 string graph formulation of assembly and uses the FM-index/Burrows-Wheeler
 transform to efficiently find overlaps between sequence reads.
