=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# +all does not build
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --sourcedirectory=src --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-bamtools=/usr/

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
bindir=$(CURDIR)/debian/$(pkg)/usr/bin

override_dh_auto_install:
	dh_auto_install
	cp -a src/bin/sga-bam2de.pl	debian/$(pkg)/usr/bin/sga-bam2de
	cp -a src/bin/sga-astat.py	debian/$(pkg)/usr/bin/sga-astat

override_dh_installexamples:
	dh_installexamples
	mkdir -p debian/$(pkg)/usr/share/doc/$(pkg)/examples
	sed -e 's?^\(SGA_BIN=sga\).*?\1?' \
	    -e 's?^.*/bin/sga-align?sga-align?' \
	    -e 's?^.*/bin/sga-bam2de.pl?sga-bam2de?' \
	    -e 's?^.*/bin/sga-astat.py?sga-astat?' \
	    src/examples/sga-celegans.sh > debian/$(pkg)/usr/share/doc/$(pkg)/examples/sga-celegans.sh

override_dh_installman:
	mkdir -p $(mandir)
	PATH=/usr/lib/abyss:${PATH} \
	help2man \
		--version-string="$(version)" \
		--no-info \
		--name "Make a distance estimate file from a bam file of reads aligned to contigs" \
		--output $(mandir)/sga-bam2de.1 \
		$(bindir)/sga-bam2de
	help2man \
		--no-info \
		--version-string="$(version)" \
		--name="String Graph Assembler: de novo genome assembler that uses string graphs" \
		--output $(mandir)/sga.1 \
		$(bindir)/sga
	help2man \
		--no-info\
		--version-string="$(version)" \
		--name="generate sga merge commands from a list of files" \
		--output $(mandir)/sga-mergeDriver.1 \
		$(bindir)/sga-mergeDriver
