## sga 0.10.15

=== debian/changelog ===
sga (0.10.15-7build2) resolute; urgency=medium

  * Rebuild against latest bamtools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Nov 2025 14:45:46 -0400

sga (0.10.15-7build1) lunar; urgency=medium

  * No-change rebuild against libbamtools2.5.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 21:52:41 +0000

sga (0.10.15-7) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Include ${perl:Depends}

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Sep 2021 15:56:21 +0200

sga (0.10.15-6) unstable; urgency=medium

  * Team Upload.
  * Reduce Build-Depends: (Closes: #983700)
    + Drop gawk as it builds with any awk, which is essential.
    + Annotate runtime dependencies <!nocheck>.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 14:08:19 +0530

sga (0.10.15-5) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #938472
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Trim trailing whitespace.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository.
  * Do not enforce -std=c++98 to stay compatible with google sparsehash
    library (thanks for the hint to Yavor Doganov <yavor@gnu.org>)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2019 19:05:15 +0100

sga (0.10.15-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 23 Sep 2018 23:20:46 +0200

sga (0.10.15-3) unstable; urgency=medium

  * Standards-Version: 4.1.0 (no changes needed)
  * abs() requires int arguments
    Closes: #853656
  * Avoid privacy breaching links
  * d/rules: do not parse d/changelog
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 21:36:06 +0200

sga (0.10.15-2) unstable; urgency=medium

  * Recommends: abyss which is now in main
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 15:19:48 +0100

sga (0.10.15-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Imported Upstream version 0.10.15
  * Refresh patches
  * Drop backported GCC6 compatibility patch

  [ Andreas Tille ]
  * Add manpages

 -- Andreas Tille <tille@debian.org>  Fri, 09 Sep 2016 22:10:19 +0200

sga (0.10.14-3) unstable; urgency=low

  * Team upload.
  * Copy run-time depends into build-depends

 -- Afif Elghraoui <afif@debian.org>  Sat, 23 Jul 2016 00:17:45 -0700
