=== debian/control ===
Source: sga
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libsparsehash-dev,
               zlib1g-dev | libz-dev,
               libbamtools-dev,
               help2man,
# Run-Time Depends
# (to prevent building on architectures where it won't be installable)
               samtools <!nocheck>,
               python3 <!nocheck>,
               python3-ruffus <!nocheck>,
               python3-pysam <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/sga
Vcs-Git: https://salsa.debian.org/med-team/sga.git
Homepage: https://github.com/jts/sga
Rules-Requires-Root: no

Package: sga
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         ${perl:Depends},
         samtools,
         python3-ruffus,
         python3-pysam
Recommends: abyss
Description: de novo genome assembler that uses string graphs
 The major goal of SGA is to be very memory efficient, which is achieved by
 using a compressed representation of DNA sequence reads.
 .
 SGA is a de novo assembler for DNA sequence reads. It is based on Gene Myers'
 string graph formulation of assembly and uses the FM-index/Burrows-Wheeler
 transform to efficiently find overlaps between sequence reads.
