=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- --with-bamtools=/usr/

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
bindir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin

override_dh_auto_install:
	dh_auto_install
	cp -a src/bin/sga-bam2de.pl	debian/$(DEB_SOURCE)/usr/bin/sga-bam2de
	cp -a src/bin/sga-astat.py	debian/$(DEB_SOURCE)/usr/bin/sga-astat

override_dh_installexamples:
	dh_installexamples
	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
	sed -e 's?^\(SGA_BIN=sga\).*?\1?' \
	    -e 's?^.*/bin/sga-align?sga-align?' \
	    -e 's?^.*/bin/sga-bam2de.pl?sga-bam2de?' \
	    -e 's?^.*/bin/sga-astat.py?sga-astat?' \
	    src/examples/sga-celegans.sh > debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/sga-celegans.sh

override_dh_installman:
	dh_installman
	mkdir -p $(mandir)
	PATH=/usr/lib/abyss:${PATH} \
	help2man \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
		--name "Make a distance estimate file from a bam file of reads aligned to contigs" \
		--output $(mandir)/sga-bam2de.1 \
		$(bindir)/sga-bam2de
	help2man \
		--no-info \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--name="String Graph Assembler: de novo genome assembler that uses string graphs" \
		--output $(mandir)/sga.1 \
		$(bindir)/sga
	help2man \
		--no-info\
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--name="generate sga merge commands from a list of files" \
		--output $(mandir)/sga-mergeDriver.1 \
		$(bindir)/sga-mergeDriver
